Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.channels.locales
Class CUserLocalesSelector

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.layout.channels.locales.CUserLocalesSelector

All Implemented Interfaces:
  IChannel, IPrivileged

    public class CUserLocalesSelector

extends BaseChannel
implements IPrivileged

Lets a user select his/her locale preference. The UI, for now, is limited. The user can only select one locale choice. The underlying APIs and data structures actually allow an "ordering" of locales, so this channel can be enhanced to allow the user to sort a list of locales.

Version:
  $Revision: 1.9 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private LocaleManager` | `lm`
`private static java.lang.String` | `sslUri`
`private IUserPreferencesManager` | `upm`
`private java.util.Locale` | `userLocale`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`log, runtimeData, staticData`

Constructor Summary
`CUserLocalesSelector()`

Method Summary
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.
`void` | `setRuntimeData(ChannelRuntimeData runtimeData)` Passes ChannelRuntimeData to the channel.

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, setStaticData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### upm

    private IUserPreferencesManager upm

### lm

    private LocaleManager lm

### userLocale

    private java.util.Locale userLocale

### sslUri

    private static final java.lang.String sslUri

See Also:
  Constant Field Values

Constructor Detail

### CUserLocalesSelector

    public CUserLocalesSelector()

Method Detail

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)
                                    throws PortalException

  Description copied from interface: `IPrivileged`
  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  Throws:
    `PortalException`
  See Also:
    `PortalControlStructures`

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData runtimeData)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Overrides:
    `setRuntimeData` in class `BaseChannel`
  Parameters:
    `runtimeData` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD